package cn.iocoder.yudao.module.order.convert.merge;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.order.vo.merge.*;
import cn.iocoder.yudao.module.order.dal.dataobject.merge.MergeDO;

/**
 * 订单合单申请 Convert
 * @author 系统管理员
 */
@Mapper
public interface MergeConvert {
    /*****转换MapStruct*****/
    MergeConvert INSTANCE = Mappers.getMapper(MergeConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    MergeDO convert(MergeCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    MergeDO convert(MergeUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    MergeBackVO convert(MergeDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<MergeBackVO> convertList(List<MergeDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<MergeBackVO> convertPage(PageResult<MergeDO> page);
}
